Flex Builder 2的调试——安装篇

关于Abode Flex Builder 2的详细安装就不说了,但有两点值得我们注意。

一、安装时最好选择Flex Builder 2的独立版,因为用插件安装的方式会使工作界面太乱。

二、在Flex Builder 2下调试Flex程序需要安装9,0,15,0 版的Flash 调试播放器,该播放器目前还不能和标准版的Flash player 9,0,16,0兼容。当我们将Web浏览器升级到标准版后,启动调试会出现下面一个提示错误:

错误提示

重新安装Flex Builder 2 解决不了问题,但我们可以采用解决方案。

1. 检验在Flex Builder 2 中是用什么Web浏览器的Flash 调试播放器

1) 打开Flex Builder 2。

2) 选择Window>Preferences。

3) 从Preferences树形菜单中选择General > Web Browser。

检验用来Flex Builder 调试的内部浏览器,我们可以在安装Flex Builder 2的时候选择在 FireFox安装9,0,15,0 版的Flash 调试播放器,而在IE上安装9,0,16,0 版的Flash 调试播放器,这样就不会有冲突了。

2. 要检测我们安装的Flash player是不是调试版的方法很简单。右键点击Flash 影片,如果你安装的是调试版的Flash Player,我们可以在上下文菜单中看到[Debugger]的字样,如下图所示:

上下文菜单

单击[About Adobe Flash Player 9],链接到www.adobe.com/products/flash/about/可以看到其版本号。如果你已经安装了9,0,15,0 版的Flash 调试播放器, 你可以通过下面的(步骤3)步骤将Flash 调试播放器升级到最新调试版。

3. 按步骤一的方法为web 浏览器下载安装合适的Flash 调试播放器:www.adobe.com/support/flashplayer/downloads.html

4. 重复步骤2我们可以在上下文菜单中看到[Debugger]的字样了,这说明已经安装了9,0,16,0 版的Flash 调试播放器。

发表评论